{{- if .Values.securityMs.enabled }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: security
  namespace: {{ .Values.global.namespace }}
  labels:
    app: {{ .Values.global.appName }}
spec:
  selector:
    matchLabels:
      app: {{ .Values.global.appName }}
  template:
    metadata:
      labels:
        app: {{ .Values.global.appName }}
        tier: Security
    spec:
      containers:
        - name: security
          image: {{ .Values.securityMs.image }}
          ports:
            - name: http
              containerPort: 3000
          env:
            - name: HTTP_SERVER
              value: "0.0.0.0:3000"
            - name: REDIS_SERVER
              value: "{{ .Values.redis.service.name }}:{{ .Values.redis.service.port }}"
            - name: DEFAULT_TYPE
              value: {{ .Values.securityMs.defaultHandler }}
            - name: CONFIG_PATH
              value: "/configs/default.toml"
            - name: TAG
              value: "all"
            - name: USER
              value: "admin"
            - name: DEBUG
              value: {{ .Values.global.debug | quote }}
          envFrom:
            - secretRef:
                name: db-credentials
          volumeMounts:
            - name: config
              mountPath: /configs
      restartPolicy: Always
      imagePullSecrets:
        - name: pull-secret
      volumes:
        - name: config
          configMap:
            name: security-conf
---
apiVersion: v1
kind: Service
metadata:
  name: security
  namespace: {{ .Values.global.namespace }}
  labels:
    app: {{ .Values.global.appName }}
spec:
  type: {{ .Values.securityMs.service.type }}
  selector:
    app: {{ .Values.global.appName }}
    tier: Security
  ports:
    - name: http
      port: {{ .Values.securityMs.service.httpPort }}
      targetPort: 3000
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: security-conf
  namespace: {{ .Values.global.namespace }}
data:
  default.toml: |
    [google]
    issuer = "{{ .Values.securityMs.issuer}}"
{{- end }}
